;Copyright(C) Canon Inc. All right reserved.
; Network Driver Setup
; Definition file
; LastModified: 07-Mar-2013

[Setup]
; Title, BgTitle, FontName, License can be specified in following format.
;  Title.<LangID>
; In this format, you can specify language dependent strings.
; If the .<LangID> entry not found, installer uses no extension entry.
;
Version=3.93
Title=MF 驱动程序 - 安装向导

; OS Filter by Hex
; ??? | 2KXP   NT   98Me  95
; 000 |  000  0|00  00|0  001 ---  0x0001(Win95)
; 000 |  000  0|00  00|0  010 ---  0x0002(Win95 OSR2)
; 000 |  000  0|00  00|1  000 ---  0x0008(Win98)
; 000 |  000  0|00  01|0  000 ---  0x0010(Win98 SE)
; 000 |  000  0|00  10|0  000 ---  0x0020(WinMe)
; 000 |  000  0|01  00|0  000 ---  0x0040(WinNT 3.5)
; 000 |  000  0|10  00|0  000 ---  0x0080(WinNT 4)
; 000 |  001  0|00  00|0  000 ---  0x0200(Win2000)
; 000 |  010  0|00  00|0  000 ---  0x0400(WinXP/.NET Server)
; If you will mask installation on only Win2000(and NT3.5),
; you should set 4BF(1+2+8+16+32+64+128+1024)
OSFilter=0x638

; devconfig_config_device timeout(IP address setting timeout)
DevconfigConfigTimeout=90

[Functions]
; Default function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
DefaultTarget=0x7
DefaultTestPrint=0x1

[Printers]
; PrinterNames=0x1,0x2,0x4...  with ACC. Key
PrinterNames=UFRII LT 打印机驱动程序(&U),PCL5e 打印机驱动程序(&P),PCL6 打印机驱动程序(&L),PS 3 打印机驱动程序(&S),UFRII LT XPS 打印机驱动程序(&X)
DefaultTestPrint=0x1f

;Canon Driver Information Assist Service Install Information
[DIAS]
Version=3.10
BuildNumber=3103
ServiceStart=1
;Path from Setup.exe 
SetupPath=.\misc\DIASsetup.exe
DiskSpace=20

[PortMonitor]
SetupPath=.\misc\Ext\PMon\MFPMIN.dll
UninstPath=.\misc\Ext\PMon\MFPMUI.ex_

[PushScanUtility]
SetupPath=.\misc\Ext\SUtil\MFSUIN.ex_
CommandLine="-NOEULA -NOCONFIRMMSG"

[NetworkWIAInstaller]
SetupPath=.\misc\Ext\nwiainst.ex_
CommandLine=/I:"CANON_MFNP&D1300"

[NetworkWIAInstance]
SetupPath=.\misc\Ext\nwiastup.ex_

[NetworkScanGearInfo]
MDL=D1300
KEY=HKLM,Software\Canon\SateraMFP1\ScanGear\11.3\Devices\D1300
CopyInfName=MF39SCN.INF
CopyCabName=Scan.cab
; 0x1 TWAIN&WIA
; 0x2 WIA Only
InstScanDriver=0x1

[DiscoverData]
Methods=4
Character=65001
Timeout=600
Retry=3

[PortSetting]
Allow_Port=0
Allow_IP=0
PortType=2

[Supported Devices]
; canPdInfoProductName = <Section Name>
D1300 Series=WithPCL_WithFAX_WithPS3

[WithPCL_WithFAX_WithPS3]
; Implemented function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
Functions=0x7
InfRoot=..\..\
DiskSpace=10
;add these numbers BDL=1,PCL5=2,PCL6=4,PS=8,XPS=16
ExistingDriverBit=0x1f
; Implemented Support Printer flags
; Refer to [Printers] Section
Printers=0x1f
DefaultPrinters=0x1f
XPSDriver=0x10
ReadmeFileName=Readme_MD.hta

[WithPCL_WithFAX_WithPS3.PRINT.1.NT5]
Hwid=USBPRINT\CanonD1300/MF6700_UFC2A8
InfName=Driver\CNLB0C.INF
InfGUID={2165CC42-34B9-4ee0-8FE1-83D0694B3AA3}
DiskSpace=70
ReadmeFileName=Readme_UFRIILT.hta

[WithPCL_WithFAX_WithPS3.PRINT.1.x64]
Hwid=USBPRINT\CanonD1300/MF6700_UFC2A8
InfName=..\x64\Driver\CNLB0CA64.INF
InfGUID={2165CC42-34B9-4ee0-8FE1-83D0694B3AA3}
DiskSpace=70
ReadmeFileName=Readme_UFRIILT.hta

[WithPCL_WithFAX_WithPS3.PRINT.2.NT5]
Hwid=USBPRINT\CanonD1300/MF6700_PC9894
InfName=Driver\CNP50C.INF
InfGUID={CA156A75-C376-40aa-8DE7-C88A9E37BD00}
DiskSpace=70
ReadmeFileName=Readme_PCL.hta

[WithPCL_WithFAX_WithPS3.PRINT.2.x64]
Hwid=USBPRINT\CanonD1300/MF6700_PC9894
InfName=..\x64\Driver\CNP50CA64.INF
InfGUID={CA156A75-C376-40aa-8DE7-C88A9E37BD00}
DiskSpace=70
ReadmeFileName=Readme_PCL.hta

[WithPCL_WithFAX_WithPS3.PRINT.4.NT5]
Hwid=USBPRINT\CanonD1300/MF6700_PCD4FA
InfName=Driver\CNP60C.INF
InfGUID={14D9C499-82E2-410b-B22A-F83C26EFCE30}
DiskSpace=70
ReadmeFileName=Readme_PCL.hta

[WithPCL_WithFAX_WithPS3.PRINT.4.x64]
Hwid=USBPRINT\CanonD1300/MF6700_PCD4FA
InfName=..\x64\Driver\CNP60CA64.INF
InfGUID={14D9C499-82E2-410b-B22A-F83C26EFCE30}
DiskSpace=70
ReadmeFileName=Readme_PCL.hta

[WithPCL_WithFAX_WithPS3.PRINT.8.NT5]
Hwid=USBPRINT\CanonD1300/MF6700_PS1B49
InfName=Driver\CNS30C.INF
InfGUID={A082E7AE-7ECB-4760-A971-5BB9DA30A180}
DiskSpace=70
ReadmeFileName=Readme_PS3.hta

[WithPCL_WithFAX_WithPS3.PRINT.8.x64]
Hwid=USBPRINT\CanonD1300/MF6700_PS1B49
InfName=..\x64\Driver\CNS30CA64.INF
InfGUID={A082E7AE-7ECB-4760-A971-5BB9DA30A180}
DiskSpace=70
ReadmeFileName=Readme_PS3.hta

[WithPCL_WithFAX_WithPS3.PRINT.16.NT5]
Hwid=USBPRINT\CanonD1300/MF6700_UFB277
InfName=Driver\cnnx0_cb3_len-GB_md1300mf6700xps_pi386.inf
InfGUID={1407D160-3BD0-4b2f-A0C7-5BAE3D950BA5}
DiskSpace=70
ReadmeFileName=Readme_len-GB.hta

;[WithPCL_WithFAX_WithPS3.PRINT.16.x64]
;Hwid=USBPRINT\CanonD1300/MF6700_UFB277
;InfName=Driver\cnnx0_cb3_len-GB_md1300mf6700xps_pamd64.inf
;InfGUID={1407D160-3BD0-4b2f-A0C7-5BAE3D950BA5}
;DiskSpace=70
;ReadmeFileName=Readme_len-GB.hta

[WithPCL_WithFAX_WithPS3.FAX.NT5]
Hwid=USBPRINT\CanonD1300/MF6700_FA90E5
InfName=Driver\cnxrpcw2.inf
InfGUID={3C88119F-3534-465b-B7D6-CA4419723F3E}
DiskSpace=70
ReadmeFileName=Readme_Fax.hta

[WithPCL_WithFAX_WithPS3.FAX.x64]
Hwid=USBPRINT\CanonD1300/MF6700_FA90E5
InfName=..\x64\Driver\cnxrpca6.inf
InfGUID={3C88119F-3534-465b-B7D6-CA4419723F3E}
DiskSpace=70
ReadmeFileName=Readme_Fax.hta


[WithPCL_WithFAX_WithPS3.SCAN.NT5]
Hwid=CANON_MFNP&D1300
InfName=Driver\MF39SCN.INF
InfGUID={87A7742F-5E78-4093-9053-E05E8CD0E2EC}
DiskSpace=70
ReadmeFileName=Readme_SG.hta

[WithPCL_WithFAX_WithPS3.SCAN.x64]
Hwid=CANON_MFNP&D1300
InfName=..\x64\Driver\MF39SCN.INF
InfGUID={87A7742F-5E78-4093-9053-E05E8CD0E2EC}
DiskSpace=70
ReadmeFileName=Readme_SG.hta


[ExtractShareNameEditStr]
0=D1300
1=XPS
2=UFRIILT
3=PCL5e
4=PCL6
5=FAX
6=PS3


[LANGUAGES]
; 0000 ---- Neutral(Default)
0000=,NiHRes.dll

[RegistrationAPI]
PrintUI=1
SilentOption=0


[9XOsVersionString]
US=Windows 95 or 98
JP=Windows 95 傑偨偼 98

; When
;    HIWORD | LOWORD
; 0x 0001     XXXX     Before
; 0x 0002     XXXX     After
; 0x XXXX     0001     Dlg_Start
; 0x XXXX     0002     Dlg_SdWelcome
; 0x XXXX     0003     Dlg_SdLicense
; 0x XXXX     0004     INIT
; 0x XXXX     0005     Dlg_DiscoveryDevice
; 0x XXXX     0006     Dlg_SelectTarget
; 0x XXXX     0007     Dlg_PortSettings
; 0x XXXX     0008     Dlg_ConfirmSettings
; 0x XXXX     0009     Dlg_InstallProgress
; 0x XXXX     000A     Dlg_Complete
; 0x XXXX     000B     Dlg_SetDefault
; 0x XXXX     000C     Dlg_PrintTestpage
; 0x XXXX     000D     Dlg_ObjDialogs
; 0x XXXX     000E     UNINIT
; 0x XXXX     000F     Dlg_SdFinish
; 
; Action
;  DoInstall --- DoInstall .inx file
;  LaunchApp --- Launch Application
;
; Name --- Display Name 
;	(can be specified language id same as Title, BgTitle, and FontName in [Setup] section.)
; Cmd --- Target file
; CmdLine --- Command line options
; ErrMsgOnLang --- ErrorMessages when the target installer's lang is different from this.
; ErrMsgOnBegin --- ErrorMessages when the file is not found.
; ErrMsgOnLaunch ---- ErrorMessages when the file is not found.
;            You can specify message on begin, and on launch.
;            0xXXXXXXXX
;            HIWORD ---- Abort or Not
;            LOWORD ---- Message id.
;            If you don't want to display the message, write 0 or don't write the entries.
;            You can specify message id up to 10.
;            These id is used MSG_ADDITIONAL_XX(00-10) on value.shl.

;            
;
